Package opennlp.tools.util.featuregen

## Class GeneratorFactory.AbstractXmlFeatureGeneratorFactory

- java.lang.Object
- - opennlp.tools.util.featuregen.GeneratorFactory.AbstractXmlFeatureGeneratorFactory

- Direct Known Subclasses:
    `AggregatedFeatureGeneratorFactory`, `BigramNameFeatureGeneratorFactory`, `BrownClusterBigramFeatureGeneratorFactory`, `BrownClusterTokenClassFeatureGeneratorFactory`, `BrownClusterTokenFeatureGeneratorFactory`, `CachedFeatureGeneratorFactory`, `CharacterNgramFeatureGeneratorFactory`, `DefinitionFeatureGeneratorFactory`, `DictionaryFeatureGeneratorFactory`, `DocumentBeginFeatureGeneratorFactory`, `PosTaggerFeatureGeneratorFactory`, `POSTaggerNameFeatureGeneratorFactory`, `PrefixFeatureGeneratorFactory`, `PreviousMapFeatureGeneratorFactory`, `SentenceFeatureGeneratorFactory`, `SuffixFeatureGeneratorFactory`, `TokenClassFeatureGeneratorFactory`, `TokenFeatureGeneratorFactory`, `TokenPatternFeatureGeneratorFactory`, `TrigramNameFeatureGeneratorFactory`, `WindowFeatureGeneratorFactory`, `WordClusterFeatureGeneratorFactory`
  Enclosing class:
    GeneratorFactory

      public abstract static class GeneratorFactory.AbstractXmlFeatureGeneratorFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractXmlFeatureGeneratorFactory()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract AdaptiveFeatureGenerator` | `create()` |
    `Map<String,​ArtifactSerializer<?>>` | `getArtifactSerializerMapping()` |
    `boolean` | `getBool​(String name)` |
    `boolean` | `getBool​(String name, boolean defValue)` |
    `double` | `getDouble​(String name)` |
    `double` | `getDouble​(String name, double defValue)` |
    `float` | `getFloat​(String name)` |
    `float` | `getFloat​(String name, float defValue)` |
    `int` | `getInt​(String name)` |
    `int` | `getInt​(String name, int defValue)` |
    `long` | `getLong​(String name)` |
    `long` | `getLong​(String name, long defValue)` |
    `String` | `getStr​(String name)` |
    `String` | `getStr​(String name, String defValue)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXmlFeatureGeneratorFactory

          public AbstractXmlFeatureGeneratorFactory()

  - ### Method Detail

    - #### getArtifactSerializerMapping

          public Map<String,​ArtifactSerializer<?>> getArtifactSerializerMapping()
                                                                               throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getInt

          public int getInt​(String name)
                     throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getInt

          public int getInt​(String name,
                            int defValue)
                     throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getLong

          public long getLong​(String name)
                       throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getLong

          public long getLong​(String name,
                              long defValue)
                       throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getFloat

          public float getFloat​(String name)
                         throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getFloat

          public float getFloat​(String name,
                                float defValue)
                         throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getDouble

          public double getDouble​(String name)
                           throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getDouble

          public double getDouble​(String name,
                                  double defValue)
                           throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getStr

          public String getStr​(String name)
                        throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getStr

          public String getStr​(String name,
                               String defValue)
                        throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getBool

          public boolean getBool​(String name)
                          throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getBool

          public boolean getBool​(String name,
                                 boolean defValue)
                          throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### create

          public abstract AdaptiveFeatureGenerator create()
                                                   throws InvalidFormatException

      Returns:
        null if the subclass uses `resourceManager` to instantiate
      Throws:
        `InvalidFormatException`